Bug Hunting Session
Bug 49101 - html.stw (default HTML template) cleanup
Summary: html.stw (default HTML template) cleanup
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: István Túri
URL:
Whiteboard: target:3.7.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-04-24 01:59 UTC by Andras Timar
Modified: 2016-02-05 11:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-04-24 01:59:11 UTC
Language dependent html.stw files live in extras/source/templates/wizard/desktop/lang/<language>/

(1) Why are they in old OpenOffice.org XML format, and not in OpenDocument?
(2) html.stw files are identical in en-US, de, es, eu, fr, hu, it, km, sv, vi. Maybe the differences in other languages are not important? Would it be possible to create a language independent html template that fits all? We could save some bytes in the install sets.

Code for this lives in sw/source/filter/html/swhtml.cxx, HTMLReader::GetTemplateName()

Language independent html.oth should be installed into share/template/common/.
Comment 1 Not Assigned 2012-08-16 15:45:19 UTC
Istvan Turi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b0f7ee1e04d7b0fe81f7458ae2116615e0f6889

idxexample.odt and html.stw cleanup (fdo#49101, fdo#49098)
Comment 2 Robinson Tryon (qubit) 2015-12-15 23:22:46 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyEasy SkillCpp TopicCleanup )
[NinjaEdit]
Comment 3 Björn Michaelsen 2016-02-05 11:10:51 UTC
difficultyEasy -> difficultyBeginner. The former never really existed and only makes the EasyHack not appear on the wiki.